%define module_name Storable
%define module_dir  Storable

Name: perl-%module_name
Version: 2.06
Release: alt1

Summary: %module_name module for perl
Summary(ru_RU.KOI8-R):  %module_name   Perl
Group: Development/Perl
License: GPL or Artistic

Url: http://www.cpan.org/modules/by-module/%module_dir/
Source: %module_name-%version.tar.bz2
Patch: perl-Storable-2.06-add_man3.patch

# Automatically added by buildreq on Wed Dec 18 2002
BuildRequires: perl-devel

%description
The Storable extension brings persistency to your data.

You may recursively store to disk any data structure, no matter
how complex and circular it is, provided it contains only SCALAR,
ARRAY, HASH and references to those items, blessed or not.

At a later stage, or in another program, you may retrieve data from
the stored file and recreate the same hiearchy in memory. If you
had blessed references, the retrieved references are blessed into
the same package, so you must make sure you have access to the
same perl class than the one used to create the relevant objects.

%description -l ru_RU.KOI8-R
 Storable     .

         
 ,   ,     .

 ,       ,
      ,      
.

%prep
%setup -q -n %module_name-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/%module_name.*
%perl_vendor_autolib/%module_dir
%perl_vendor_man3dir/*
%doc ChangeLog README

%changelog
* Wed Dec 18 2002 Alexey Tourbin <at@altlinux.ru> 2.06-alt1
- 2.06
- buildreq applied

* Wed Oct 30 2002 Alexey Tourbin <at@altlinux.ru> 2.05-alt1
- rebuilt for perl-5.8 with new rpm macros

* Thu Jun 13 2002 Stanislav Ievlev <inger@altlinux.ru> 2.04-alt1
- 2.04

* Sat Mar 9 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.14-alt1
- 1.0.14

* Tue Jul 24 2001 Stanislav Ievlev <inger@altlinux.ru> 0.6.11-ipl5mdk
- Rebuilt with new perl again.

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.6.11-ipl4mdk
- Rebuilt with perl-5.6.1

* Sun Jan 21 2001 Alexander Bokovoy <ab@avilink.net> ipl3mdk
- Rebuild from scratch using MZh's spec skeleton file
